/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.webapp.jonasadmin.cmi;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import javax.management.Attribute;

import org.apache.struts.action.ActionForm;

public class CmiObjectForm extends ActionForm {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    public String name = null ;
    /**
     * The interface name
     */
    public String itfName = null;
    public String lbPolicyClass = null;
    public String lbStrategy = null;
    List<Attribute> properties = null;
    int MinPoolSize = 0;
    int MaxPoolSize = 0;
    //List of string representing server refs for the object
    List<String> serverRefs = new ArrayList();
    /**
     * Simple properties fo lb policy
     */
    Set<Attribute> simpleProperties = new HashSet(); 
    /**
     * The object's cluster name
     */
    String clusterName = null;
    
    String action = null;
    /**
     * @return the itfName
     */
    public String getItfName() {
        return itfName;
    }
    /**
     * @param itfName the itfName to set
     */
    public void setItfName(String itfName) {
        this.itfName = itfName;
    }
    /**
     * @return the lbPolicyClass
     */
    public String getLbPolicyClass() {
        return lbPolicyClass;
    }
    /**
     * @param lbPolicyClass the lbPolicyClass to set
     */
    public void setLbPolicyClass(String lbPolicyClass) {
        this.lbPolicyClass = lbPolicyClass;
    }
    /**
     * @return the lbStrategy
     */
    public String getLbStrategy() {
        return lbStrategy;
    }
    /**
     * @param lbStrategy the lbStrategy to set
     */
    public void setLbStrategy(String lbStrategy) {
        this.lbStrategy = lbStrategy;
    }
    /**
     * @return the maxPoolSize
     */
    public int getMaxPoolSize() {
        return MaxPoolSize;
    }
    /**
     * @param maxPoolSize the maxPoolSize to set
     */
    public void setMaxPoolSize(int maxPoolSize) {
        MaxPoolSize = maxPoolSize;
    }
    /**
     * @return the minPoolSize
     */
    public int getMinPoolSize() {
        return MinPoolSize;
    }
    /**
     * @param minPoolSize the minPoolSize to set
     */
    public void setMinPoolSize(int minPoolSize) {
        MinPoolSize = minPoolSize;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the properties
     */
    public List<Attribute> getProperties() {
        return properties;
    }
    /**
     * @param properties the properties to set
     */
    public void setProperties(List<Attribute> properties) {
        this.properties = properties;
    }
    /**
     * @return the serverRefs
     */
    public List<String> getServerRefs() {
        return serverRefs;
    }
    /**
     * @param serverRefs the serverRefs to set
     */
    public void setServerRefs(List<String> serverRefs) {
        this.serverRefs = serverRefs;
    }
	/**
	 * @return the simpleProperties
	 */
	public Set<Attribute> getSimpleProperties() {
		return simpleProperties;
	}
	/**
	 * @param simpleProperties the simpleProperties to set
	 */
	public void setSimpleProperties(Set<Attribute> simpleProperties) {
		this.simpleProperties = simpleProperties;
	}
	/**
	 * @return the clusterName
	 */
	public String getClusterName() {
		return clusterName;
	}
	/**
	 * @param clusterName the clusterName to set
	 */
	public void setClusterName(String clusterName) {
		this.clusterName = clusterName;
	}
	/**
	 * @return the action
	 */
	public String getAction() {
		return action;
	}
	/**
	 * @param action the action to set
	 */
	public void setAction(String action) {
		this.action = action;
	}









}
