<%@ page
  language="java"
  contentType="text/html;charset=utf-8"
  import = "java.io.File"
  import = "org.ow2.jonas.Version"
  import = "org.ow2.jonas.ear.internal.JOnASEARService"
  import = "org.ow2.jonas.service.manager.ServiceManager"
  import = "org.ow2.jonas.web.base.BaseWebContainerServiceMBean"
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
    <meta name="description" content="JOnAS Root Context"/>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <style type="text/css">
      @import "ow2_jonas.css";
    </style>
<title>
  <%
            String webContainer = "";
            boolean isJetty = false;
            boolean isTomcat = false;
            boolean useEarSample = false;
            boolean useJavaEEEarSample = false;
            boolean isDocumentationAvailable = false;
            boolean isJavaDocAvailable = false;

            try {
                ServiceManager sm = ServiceManager.getInstance();
                if (sm != null) {
                    BaseWebContainerServiceMBean webServ = (BaseWebContainerServiceMBean) sm.getWebContainerService();
                    if (webServ != null) {
                        String servName = webServ.getServerName();
                        webContainer = servName + " v" + webServ.getServerVersion();
                        if (servName != null) {
                            if (servName.indexOf("omcat") != -1) {
                                isTomcat = true;
                            } else if (servName.indexOf("etty") != -1) {
                                isJetty = true;
                            }
                        }
                        isDocumentationAvailable = webServ.isWarLoaded("autoload" + File.separator + "jonas-doc-en")
                                || webServ.isWarLoaded("jonas-doc-en");
                        isJavaDocAvailable = webServ.isWarLoaded("autoload" + File.separator + "jonas-javadoc")
                                || webServ.isWarLoaded("jonas-javadoc");
                    }
                    JOnASEARService earServ = (JOnASEARService) sm.getEarService();
                    if (earServ != null) {
                        useEarSample = earServ.isEarLoaded("autoload" + File.separator + "j2ee-1.4.ear")
                                || earServ.isEarLoaded("j2ee-1.4.ear");
                    }
                    useJavaEEEarSample = new File(System.getProperty("jonas.base") + File.separator + "deploy"
                            + File.separator + "javaee5-earsample.ear").exists();

                }
            } catch (Exception e) {
                //Cannot retrieve infos of web container
            }
            String title = "JOnAS v" + Version.getNumber();
            if (webContainer != null) {
                title += " / " + webContainer;
            }
            title += " Package";
            out.print(title);
  %>
</title>
</head>

    <body>
    <div><a href="http://www.ow2.org"><img src="logoOW2.png" alt="logo"/></a></div>
      <div class="logos">
        <%
            if (isTomcat) {
                  out.print("<a href=\"http://jakarta.apache.org\"><img title=\"Jakarta Tomcat\" alt=\"Jakarta Tomcat\" src=\"tomcat.gif\" /></a>");
            }
            if (isJetty) {
                  out.print("<a href=\"http://jetty.mortbay.org/jetty/\"><img title=\"Mortbay Jetty\" alt=\"Mortbay Jetty\" src=\"jetty.gif\" /></a>");
            }
        %>
        <a href="http://jonas.objectweb.org"><img title="JOnAS WebSite" alt="JOnAS WebSite" src="ow_jonas_logo.gif" /></a>
      </div>

      <div class="titlepage">
        <%
        out.print(title);
        %>
      </div>

      <div class="links">
      <ul>
        <%
                   if (useJavaEEEarSample) {
                       out.println("<li>");
                       out.println("<a href=\"/javaee5-earsample\">Test the Java EE 5 ear example.</a>");
                       out.println("</li>");
                   }
        %>

        <%
                    if (useEarSample) {
                        out.println("<li>");
                        out.println("<a href=\"/j2ee-1.4\">Test the J2EE 1.4 example.</a>");
                        out.println("Use the login/password jonas/jonas");
                        out.println("</li>");
                    }
        %>

        <li>
          <a href="/jonasAdmin">Go to the JOnAS administration web application.</a>
          Use the login/password jonas/jonas
        </li>
        <%
                    if (isDocumentationAvailable) {
                        out.println("<li>");
                        out.println("<a href=\"/jonas-doc-en\">Browse JOnAS documentation</a>");
                        out.println("(Up-to-date documentation can be found on <a href=\"http://wiki.jonas.objectweb.org/xwiki/bin/view/Main/Documentation\">JOnAS Web Site</a>)");
                        out.println("</li>");
                    }
                    if (isJavaDocAvailable) {
                        out.println("<li>");
                        out.println("<a href=\"/jonas-javadoc\">Browse JOnAS Javadoc</a>");
                        out.println("</li>");
                    }
        %>
      </ul>
    </div>

    <div class="footer">
      <p>
        <a href="http://validator.w3.org/check/referer"><img
           src="valid-xhtml11.png"
           alt="Valid XHTML 1.1!" title="Valid XHTML 1.1!" height="31" width="88" />
        </a>
        <a href="http://jigsaw.w3.org/css-validator/"><img
           style="border:0;width:88px;height:31px" src="vcss.png" title="Valid CSS!" alt="Valid CSS!" />
        </a>
      </p>
    </div>
  </body>
</html>
