/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 * Copyright (C) 2006 Distributed Systems Lab.
 * Universidad Polit??cnica de Madrid (Spain)
 * Contact: http://lsd.ls.fi.upm.es/lsd
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 *
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.lib.ejb21;

import javax.ejb.SessionBean;

import org.objectweb.carol.cmi.ObjectId;

/**
  * This class extends JSessionContext in case of Replicated Stateful Session Bean.
  * @author Francisco Perez-Sorrosal (fpsorrosal@no-spam@fi.upm.es)
  * @author Alberto Paz-Jimenez (apaz@no-spam@fi.upm.es)
  */
public class JRepStatefulContext extends JStatefulContext {

    /**
     * Serial version UID
     */
    private static final long serialVersionUID = 1L;

    /**
     * The cluster object ID
     */
    public ObjectId clusterOId = null;

    /**
     * Gets the cluster object ID
     * @return Returns the clusterOId.
     */
    public ObjectId getClusterOId() {
        return clusterOId;
    }

    /**
     * Sets the cluster object ID
     * @param clusterOId The clusterOId to set.
     */
    public void setClusterOId(ObjectId clusterOId) {
        this.clusterOId = clusterOId;
    }

    /**
     * Constructs a JRepStatefulContext
     * @param bf - the Session Factory
     * @param sb - the Enterprise Bean instance
     * @param sync - True if implements SessionSymchronization.
     */
    public JRepStatefulContext(JSessionFactory bf, SessionBean sb, boolean sync) {
        super(bf,sb,sync);
    }
}
