/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.lib.jmbeans.osgi.monitoring;

import javax.management.NotificationBroadcasterSupport;

import org.ow2.jonas.lib.jmbeans.JNotification;

/**
 * This MBean will implement the OSGI framework (services)
 * monitoring based on OSGI events.
 * @author Adriana.Danes@bull.net
 *
 */
public class OsgiMonitor extends NotificationBroadcasterSupport implements OsgiMonitorMBean {

   String objectName = null;

   // needed to send JMX notifications
   private long sequenceNumber = 0;

   public OsgiMonitor(String objectName) {
       super();
       this.objectName = objectName;
   }

   /**
    * MBean interface implementation
    * @return OBJECT_NAME
    */
   public String getObjectName() {
       return objectName;
   }

   /**
    * This method will be called when the MBean detects that all the
    * required JOnAS services are correctly started.
    */
   private void notifyStartingSuccess() {
       JNotification notif = new JNotification(JNotification.startingSuccess
               , getObjectName(), sequenceNumber++);
       sendNotification(notif);
   }

   public void temporary() {
       notifyStartingSuccess();
   }
}
