/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Dean Jennings .
 * --------------------------------------------------------------------------
 * $Id:ModuleDesc.java 10850 2007-07-05 14:16:50Z durieuxp $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.server;

import java.io.Serializable;

/**
 * Module Desription Class for Administration.
 * This is used basically by jonas admin in conjunction with Ishmael.
 * @author Dean Jennings
 */
public class ModuleDesc implements Serializable {
    private String path;
    private int status;
    private String url;

    public ModuleDesc(String path, int status, String url) {
        this.path = path;
        this.status = status;
        this.url = url;
    }

    public int getStatus() {
        return this.status;
    }

    public String getPath() {
        return this.path;
    }

    public String getURL() {
        return this.url;
    }

}
