#! /bin/sh
# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Philippe Durieux
# ---------------------------------------------------------------------------
# $Id
# ---------------------------------------------------------------------------

# Check JONAS_ROOT is set.
JONAS_LIB=$JONAS_ROOT/lib
if [ ! -d $JONAS_ROOT/lib ]
then
    echo "JONAS_ROOT must be set"
    exit 1
fi

. $JONAS_ROOT/bin/unix/setenv
JAVA_OPTS="\
    $JAVA_OPTS \
    -DTransaction=fr.dyade.aaa.util.NullTransaction \
    -Dfr.dyade.aaa.agent.A3CONF_DIR=$JONAS_BASE/conf \
    -Dinstall.root=$JONAS_ROOT \
    -Djonas.base=$JONAS_BASE \
    -Djava.endorsed.dirs=$JONAS_ROOT/lib/endorsed"

$JAVA $JAVA_OPTS -cp "$JONAS_ROOT/lib/common/ow_jonas_bootstrap.jar" org.ow2.jonas.lib.bootstrap.Bootstrap fr.dyade.aaa.agent.AgentServer 0 ./s0 "$@" 
